# /builddir/build/BUILD/alsa-lib-1.1.0/src/control/setup.c File Reference

Routines to setup control primitives from configuration. More...

## Functions

int | snd_sctl_install (snd_sctl_t *h)
| Install given values to control elements.
int | snd_sctl_remove (snd_sctl_t *h)
| Remove (restore) previous values from control elements.
int | snd_sctl_build (snd_sctl_t **sctl, snd_ctl_t *handle, snd_config_t *conf, snd_config_t *private_data, int mode)
| Build setup control handle.
int | snd_sctl_free (snd_sctl_t *sctl)
| Free setup control handle.

## Detailed Description

Routines to setup control primitives from configuration.

Author:
  Abramo Bagnara <abramo@alsa-project.org>
  Jaroslav Kysela <perex@perex.cz>

Date:
  2001

Routines to setup control primitives from configuration

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines